OBUS-GEN-SERVER(1)

NAME
obus-gen-server - generate server-side ocaml bindings from D-Bus introspection files

SYNOPSIS
obus-gen-server [ options ] input-files

DESCRIPTION

obus-gen-server generates an ocaml module from D-Bus introspection files. The generated module contains code for defining a D-Bus service implementing the D-Bus interfaces listed in intropection files. It depends on the interface module generated with obus-gen-interface.

The module generated by obus-gen-server it is meant to be edited.

OPTIONS

-o output-prefix
    Use this name as output prefix. It defaults to the input file name without its extension and extended with "_server". For example, if the input file name is "foo.xml" (or "foo.obus"), then "obus-gen-server" will generate "foo_server.ml" and "foo_server.mli".

-keep-common
    Keeps common interfaces, i.e. all interfaces starting with "org.freedesktop.DBus". By default they are dropped.

-help or --help
    Display a short usage summary and exit.

AUTHOR
Jérémie Dimino <jeremie@dimino.org>

SEE ALSO
obus-introspect(1), obus-gen-interface(1), obus-gen-client(1).